Probleme mit require feature

Alles, was den Apache betrifft, kann hier besprochen werden.

Probleme mit require feature

Postby nimmini » 19. September 2015 13:06

Hallo!

Ich habe Verständnisprobleme mit dem neuen require anstatt dem alten allow/deny.

Um manche bots vom Zugriff auf die root der Website abzuhalten habe ich foldendes in einer .htaccess gesetzt:

<FilesMatch "(.*)">
<RequireAll>
Require all granted
Require not env bad_bot
</RequireAll>
</FilesMatch>

Das deaktiviert das Auth base, das ich in der gleichen .htaccess oder in einem Unterverzeichnis gesetzt habe, komplett.

Ich weis momentan nicht, wie ich das Problem lösen kann. Hat jemand einen Tip oder kann mir eine Seite empfehlen, wo das Verhalten dieses neuen require in Bezug auf Auth base beschrieben wird? Ich brauche das Authbase will aber auch den env check nach bots nicht verlieren. Aus der Beschreibung auf apache.org werde ich dazu leider auch nicht schlauer.

Für jeden Hinweis dankbar!

Grüße
Andreas
nimmini
 
Posts: 3
Joined: 28. August 2015 15:07
Operating System: Linux

Re: Probleme mit require feature

Postby Nobbie » 19. September 2015 15:16

nimmini wrote:Das deaktiviert das Auth base, das ich in der gleichen .htaccess oder in einem Unterverzeichnis gesetzt habe, komplett.


Sieht auch so aus.

Die Original Apache Doku hat auch komplexe Beispiele: http://httpd.apache.org/docs/2.4/mod/mo ... _core.html
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04


Return to Apache

Who is online

Users browsing this forum: No registered users and 5 guests